Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.local
Class DefaultLocalFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
                      org.apache.commons.vfs.provider.local.DefaultLocalFileProvider

All Implemented Interfaces:
  FileProvider, LocalFileProvider, VfsComponent

public class DefaultLocalFileProvider
extends AbstractOriginatingFileProvider
implements LocalFileProvider

A file system provider, which uses direct file access.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary
`static Collection` | `capabilities`

Constructor Summary
`DefaultLocalFileProvider()`

Method Summary
`protected FileSystem` | `doCreateFileSystem(FileName name, FileSystemOptions fileSystemOptions)` Creates the filesystem.
`FileObject` | `findLocalFile(File file)` Finds a local file.
`FileObject` | `findLocalFile(String name)` Finds a local file, from its local name.
`Collection` | `getCapabilities()` Get the filesystem capabilities.
`boolean` | `isAbsoluteLocalName(String name)` Determines if a name is an absolute file name.

Methods inherited from class org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
`findFile, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`createFileSystem, findFile, getConfigBuilder, parseUri`

Field Detail

### capabilities

    public static final Collection capabilities

Constructor Detail

### DefaultLocalFileProvider

    public DefaultLocalFileProvider()

Method Detail

### isAbsoluteLocalName

    public boolean isAbsoluteLocalName(String name)

  Determines if a name is an absolute file name.

  Specified by:
    `isAbsoluteLocalName` in interface `LocalFileProvider`
  Parameters:
    `name` - The name to test.

### findLocalFile

    public FileObject findLocalFile(String name)
                             throws FileSystemException

  Finds a local file, from its local name.

  Specified by:
    `findLocalFile` in interface `LocalFileProvider`
  Throws:
    `FileSystemException`

### findLocalFile

    public FileObject findLocalFile(File file)
                             throws FileSystemException

  Finds a local file.

  Specified by:
    `findLocalFile` in interface `LocalFileProvider`
  Throws:
    `FileSystemException`

### doCreateFileSystem

    protected FileSystem doCreateFileSystem(FileName name,
                                            FileSystemOptions fileSystemOptions)
                                     throws FileSystemException

  Creates the filesystem.

  Specified by:
    `doCreateFileSystem` in class `AbstractOriginatingFileProvider`
  Parameters:
    `name` - The name of the root file of the file system to create.
  Throws:
    `FileSystemException`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

  Specified by:
    `getCapabilities` in interface `FileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.